Attribute VB_Name = "modMisc"
Option Explicit


'creates path
Public Function MkDirTree(ByVal path As String) As Boolean
    
    'replace slashes
    path = Replace(path, "/", "\")
    
    'append slash if missing
    If Right$(path, 1) <> "\" Then
        path = path + "\"
    End If
    
    'get position of first slash
    Dim p As Long
    p = InStr(1, path, "\")
    
    'repeat until no further slashes are found
    Do While p > 0
        
        'check if directory already exists
        If Dir$(Left$(path, p), vbDirectory) = "" Then
            
            'create directory
            On Error GoTo errhandler
                Echo ">>> MkDir " & Left$(path, p)
                MkDir Left$(path, p)
            On Error GoTo 0
            
        End If
        
        'get position of next slash
        p = InStr(p + 1, path, "\")
    Loop
    
    'success
    MkDirTree = True
    Exit Function
errhandler:
    Echo ">>> MkDirTree: " & Err.Description
    'MsgBox Err.Description
End Function



'prints text to debug log
Public Sub Echo(ByVal str As String)
    frmMain.txtLog.Text = frmMain.txtLog.Text & str & vbCrLf
    frmMain.txtLog.SelStart = Len(frmMain.txtLog.Text)
End Sub


'returns directory path of of filepath
Public Function GetFilePath(ByRef str As String) As String
    Dim p As Long
    p = InStrRev(str, "/")
    If p > 0 Then
        GetFilePath = Left(str, p)
    End If
End Function


'returns filename part of filepath
Public Function GetFileName(ByRef str As String) As String
    Dim p As Long
    p = InStrRev(str, "/")
    If p > 0 Then
        GetFileName = Mid(str, p + 1, Len(str) - p)
    Else
        GetFileName = str
    End If
End Function
